Bug 367621 - (YumexHangKeyPress) Yumex hangs until key pressed or mose moved
Yumex hangs until key pressed or mose moved
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-05 17:13 EST by Lou Arnold
Modified: 2008-03-13 03:47 EDT (History)
0 users

See Also:
Fixed In Version: 2.0.4-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-13 03:38:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lou Arnold 2007-11-05 17:13:03 EST
Description of problem:
The transaction stops being processed until a key is pressed or until the mouse
is moved.
The Output View screen is normally displayed during the processing of the
transaction. But as processing occurs the disk activity and progress bars stop
until a key (the down-arrow) is pressed or until the mouse is moved. Once the
key is pressed or the mouse is moved, processing resumes.

Note also that when things are working the bottom portion (the border of the
Output View text area, plus progress bars to the window bottom) jitter vertically.
These symptoms happen only when the transaction is actually run, and do not
appear during the transaction test.

Version-Release number of selected component (if applicable):
Yumex 2.0.2 under 2.6.23.1-10.fc7 installed with Gnome Desktop 2.18.3

How reproducible:
This is readily reproduceable when a number of packages are being updated, but
is less likely to occur when only 1-2 pkges are being updated.

Steps to Reproduce:
1. Select a number of packages to be removed, updated or added
2. Click on "Process Queue"
3. Watch OutputView screen.
  
Actual results:
Processing halts until a key is pressed or the mouse is moved. No specific key
is needed.

Expected results:
Processing should go on without halting and being triggered by keys or mouse.

Additional info:
Comment 1 Fedora Update System 2008-02-21 09:00:43 EST
yumex-2.0.4-1.fc8 has been submitted as an update for Fedora 8
Comment 2 Fedora Update System 2008-02-21 09:04:46 EST
yumex-2.0.4-1.fc7 has been submitted as an update for Fedora 7
Comment 3 Fedora Update System 2008-02-25 19:24:03 EST
yumex-2.0.4-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yumex'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-1940
Comment 4 Fedora Update System 2008-03-13 03:38:34 EDT
yumex-2.0.4-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-03-13 03:47:59 EDT
yumex-2.0.4-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.